| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::StreamTubeClient::Tube Class Reference

The StreamTubeClient::Tube class represents a tube being handled by the client. More...

`#include <TelepathyQt/StreamTubeClient>`

List of all members.

## Public Member Functions

- Tube ()
- Tube (const AccountPtr &account, const IncomingStreamTubeChannelPtr &channel)
- Tube (const Tube &other)
- ~Tube ()
- bool isValid () const
- Tube & operator= (const Tube &other)
- const AccountPtr & account () const
- const
  IncomingStreamTubeChannelPtr & channel () const

## Detailed Description

The StreamTubeClient::Tube class represents a tube being handled by the client.

## Constructor & Destructor Documentation

Tp::StreamTubeClient::Tube::Tube | ( |  | ) |

Constructs a new invalid Tube instance.

Tp::StreamTubeClient::Tube::Tube | ( | const AccountPtr & | account,
|  | const IncomingStreamTubeChannelPtr & | channel
| ) |  |

Constructs a Tube instance for the given tube channel from the given account.

Parameters:

  account | A pointer to the account the online connection of which the tube originates from.
  channel | A pointer to the tube channel object.

Tp::StreamTubeClient::Tube::Tube | ( | const Tube & | other | ) |

Copy constructor.

Tp::StreamTubeClient::Tube::~Tube | ( |  | ) |

Class destructor.

## Member Function Documentation

bool Tp::StreamTubeClient::Tube::isValid | ( |  | ) | const`[inline]`

Return whether or not the tube is valid or is just the null object created using the default constructor.

Returns:
  `true` if valid, `false` otherwise.

StreamTubeClient::Tube & Tp::StreamTubeClient::Tube::operator= | ( | const Tube & | other | ) |

Assignment operator.

AccountPtr Tp::StreamTubeClient::Tube::account | ( |  | ) | const`[inline]`

Return the account from which the tube originates.

Returns:
  A pointer to the account object.

IncomingStreamTubeChannelPtr Tp::StreamTubeClient::Tube::channel | ( |  | ) | const`[inline]`

Return the actual tube channel.

Returns:
  A pointer to the channel.